import { Component } from '@angular/core';

@Component({
  selector: 'landing-page',
  templateUrl: './landing-page.component.html',
  styleUrl: './landing-page.component.scss',
})
export class LandingPageComponent {
  active = 1;

  ngOnInit() {
    window.addEventListener(
      'wheel',
      function (e) {
        e.preventDefault(); // Prevent the default scroll behavior

        // Scroll up or down by the height of the viewport
        if (e.deltaY < 0) {
          window.scrollBy(0, -window.innerHeight);
        } else {
          window.scrollBy(0, window.innerHeight);
        }
      },
      { passive: false },
    );
  }
}
